---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: $MICRO_SERVICE ### name of the microservice
  namespace: $NAMESPACE
spec:
  selector:
    matchLabels:
      app: $MICRO_SERVICE
  replicas: $REPLICAS
  template:
    metadata:
      labels:
        app: $MICRO_SERVICE # pod name
    spec:
      imagePullSecrets:
      - name: my-registry-key
      serviceAccountName: default
      containers:
      - name: service # conatiner name
        image: $IMAGE_NAME:$IMAGE_TAG
        ports:
        - containerPort: $SERVICE_PORT
        env:
        - name: PORT
          value: "$SERVICE_PORT"
